Subject: Re: EG20T and Micrel KSZ9021 Gigabit Ethernet

From: James Kosin <[email-masked]>
Date: Thu, 25 Oct 2012 16:52:26 -0400

On 10/25/2012 4:49 PM, Veaceslav Falico wrote:
> On Thu, Oct 25, 2012 at 10:30 PM, James Kosin <[email-masked]> wrote:
>> On 10/16/2012 1:13 PM, James Kosin wrote:
>>> Hmmm... interesting turn of events.
>>>
>>> The problem seems to be in 10 speed support.  I hooked the Ethernet
>>> PHY to a100TX port and don't get these errors.
>>>
>>> James
>>>
>>> On 10/5/2012 5:09 PM, Francois Romieu wrote:
>>>> (please don't top post)
>>>>
>>>> James Kosin <[email-masked]> :
>>>>> The driver is always reporting:
>>>>>     [...] pch_gbe: Transfer Carrier Sense Error
>>>> You should send more information. Say dmesg, link stats (ip link),
>>>> ethtool information, stats and offload settings.
>>>>
>>>> We have a small Micrel ksz9021 phy driver that the pch_gbe driver does
>>>> not use and the latter pokes into some phy specific register (0x10) that
>>>> the Micrel document does not include in its list of vendor registers...
>>>>
>>>> Does your motherboard vendor offer some linux driver ?
>>>>
>>>> /note to myself: pch_gbe should use standard mii.h registers instead
>>>> of defining its own redundant set of registers.
>>>>
>>>> --
>>>> Ueimor
>>>>
>> Ueimor & All,
>>
>> The "Transfer Carrier Sense Error" seems to have been hardware related.
>> I replaced with a 10/100Mbps device and the interface is working
>> correctly now.  My hardware engineer is going to look at the 10Mbps HUB
>> later to find out what is going on with that piece of equipment; so, we
>> know what to do when we have future issues.
> Did you run pch_gbe on 1gbps? It might be also speed related, in my tests
> the driver gave CRC errors only on high loads.
>
>> James
I'm not planning on using 1Gbps ... we plan on limiting this by only
advertising and attaching the connections needed for 10/100Mbps support.